Home

# Class goog.testing.ui.RendererHarness

A driver for testing renderers.

extends goog.Disposable

Instance Method Summary
| `assertDomMatches()` Assert that the rendered element and the decorated element match.
| `attachControlAndDecorate(?goog.ui.Control control) ⇒ ?Element` Attach a control and decorate the element given in the constructor.
| `attachControlAndRender(?goog.ui.Control control) ⇒ ?Element` Attach a control and render its DOM.
| `disposeInternal()` Destroy the harness, verifying that all assertions had been checked.